Python packages
A reference of Python packages available by default and their versions.
The following packages are available to any Python code within your Baseten application. Read about installing your own packages in the link below.

requirements.txt:

blinker==1.4
boto3==1.20.26
cloudpickle==2.0.0
Flask==2.0.3
gunicorn==20.1.0
numpy==1.22.0
mysql-connector-python==8.0.26
pandas==1.3.5
Pillow==9.0.1
plotly==4.14.3
psycopg2-binary==2.9.3
pyinstrument==3.2.0
redis==3.5.3
scipy==1.7.3
scikit-learn==1.0.2
sentry-sdk==1.0.0
snowflake-connector-python==2.7.2
SQLAlchemy==1.4.31
jinjasql==0.1.8
cachetools==5.0.0
tenacity==8.0.1
cython==0.29.28
msgpack-numpy==0.4.7.1
msgpack==1.0.3
google-cloud-bigquery==2.23.2
dataclasses-json==0.5.2
python-json-logger==2.0.2
jupyter-client==7.1.2
ipykernel==6.7.0
Copy link